summaryrefslogtreecommitdiffstats
path: root/testing/nss-pam-ldapd/nslcd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/nss-pam-ldapd/nslcd.initd')
-rw-r--r--testing/nss-pam-ldapd/nslcd.initd27
1 files changed, 27 insertions, 0 deletions
diff --git a/testing/nss-pam-ldapd/nslcd.initd b/testing/nss-pam-ldapd/nslcd.initd
new file mode 100644
index 000000000..0fab4de9e
--- /dev/null
+++ b/testing/nss-pam-ldapd/nslcd.initd
@@ -0,0 +1,27 @@
+#!/sbin/runscript
+
+extra_commands="checkconfig"
+cfg="/etc/nslcd.conf"
+command=/usr/sbin/nslcd
+pidfile=/var/run/nslcd/nslcd.pid
+
+
+depend() {
+ need net
+ after firewall
+ use dns logger
+}
+
+checkconfig() {
+ if [ -f "$cfg" ] ; then
+ return 0
+ fi
+ eerror "Please create $cfg"
+ eerror "Example config: /usr/share/nss-ldapd/nslcd.conf"
+ return 1
+}
+
+start_pre() {
+ checkpath -q -d ${pidfile%/*} -o nslcd:nslcd
+ checkconfig || return $?
+}